RIO_REQUEST_OUTB_MBO(9)

NAME
rio_request_outb_mbox - request outbound mailbox service

SYNOPSIS

int rio_request_outb_mbox(struct rio_mport * mport, void * dev_id, int mbox, int entries, void (*moutb) (struct rio_mport * mport, void *dev_id, int mbox, int slot));

ARGUMENTS

mport
    RIO master port from which to allocate the mailbox resource

dev_id
    Device specific pointer to pass on event

mbox
    Mailbox number to claim

entries
    Number of entries in outbound mailbox queue

moutb
    Callback to execute when outbound message is sent

DESCRIPTION

Requests ownership of an outbound mailbox resource and binds a callback function to the resource. Returns 0 on success.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT